<template>
  <div class="absolute inset-x-0 top-20">
    <h1 class="text-gray-900 text-3xl title-font font-medium mb-1">Mes livres</h1>
    <div
      class="top-20 p-10 grid grid-cols-2 sm:grid-cols-3 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-7 gap-4 content-center"
      v-if="books.length != 0"
    >
      <Book v-for="book in books" v-bind:key="book.id" :book="book" />
    </div>

    <h1 v-else>Vous n'avez pas de livre en favoris</h1>
  </div>
</template>
<script>
import { getMyBooks, serchABookByIsbn } from "../services/bookService";
import { getUidCurrentUser } from "../services/authenticationService";
import Book from "../components/Book";

export default {
  name: "My Books",

  data() {
    return {
      books: [],
    };
  },
  components: {
    Book,
  },

  async created() {
    const idUser = await getUidCurrentUser();
    const userBooks = await getMyBooks(idUser);

    userBooks.forEach(async (userBook) => {
      let result = await serchABookByIsbn(userBook.idBook);
      result.items.forEach((book) => {
        if (book.volumeInfo.readingModes.text) {
          this.books.push(book);
        }
      });
    });
  },
};
</script>
